import { type getData } from './database-data.js';
type DatabaseUrlOptions = Parameters<getData>[0] & {
    databaseName?: string;
    hostname?: string;
    skipExtraOptions?: boolean;
};
export default function getDatabaseUrl(databaseType: string, protocol: string, options?: DatabaseUrlOptions): string;
export declare function getJdbcUrl(databaseType: string, options?: DatabaseUrlOptions): string;
export declare function getR2dbcUrl(databaseType: string, options?: DatabaseUrlOptions): string;
export {};
